> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md).

# medcrypt::guardian::TransportInterface

[Service::ConfigureTransport](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-service.md#function-configuretransport) 필수 인터페이스입니다.

`#include <TransportInterface.h>`

## 공개 함수

|                                                                                                                   | 이름                                                                                                                                                                                      |
| ----------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| virtual                                                                                                           | [**\~TransportInterface**](#function-~transportinterface)()                                                                                                                             |
| virtual [Status](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status) | <p><a href="#function-applysecurity"><strong>ApplySecurity</strong></a>(const std::unique\_ptr< medcrypt::guardian::utilities::SafeString > & in\_parameters) =0<br>보안 매개변수 수신기입니다.</p> |

## 공개 함수 문서

### 함수 \~TransportInterface

```cpp
inline virtual ~TransportInterface()
```

### 함수 ApplySecurity

```cpp
virtual Status ApplySecurity(
    const std::unique_ptr< medcrypt::guardian::utilities::SafeString > & in_parameters
) =0
```

보안 매개변수 수신기입니다.

**매개변수**:

* **in\_parameters** 보안 매개변수의 구현별 인코딩

**반환값**:

* **OK** 보안이 성공적으로 적용됨
* **기타** 0이 아닌 모든 오류 코드

**반환값**: [medcrypt::guardian::Status](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian.md#typedef-status)

in\_parameters의 내용은 파생 클래스에서 구현하는 전송 유형에 따라 달라집니다.

구현된 ApplySecurity 함수는 다음을 반환해야 합니다. [GuardianStatusEnum::OK](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-guardianstatusenum.md#enum-type) 성공 시 이를 반환하고, 실패 시 파생 클래스에서 정의한 0이 아닌 코드를 반환해야 합니다.

SafeString 유형은 일반 std::string처럼 취급할 수 있습니다.

## 디버깅 및 로깅

Guardian은 로그 파일을 생성하지 않습니다. 대신 로깅은 애플리케이션에서 제어합니다.

* Guardian은 로그를 다음으로 출력합니다: `stdout` 및 `stderr`이러한 로그는 실행 중인 애플리케이션의 터미널/CLI에 표시됩니다. 출력에서 특정 오류 코드나 연결 실패를 확인하세요.
* **사용자 지정 로깅:** 다음을 사용하여 `SetLoggingCallback` 로그 메시지를 콜백 함수로 리디렉션할 수 있습니다. 이렇게 하면 터미널 출력이 중단되고 사용자 지정 로그 처리가 가능해집니다.
* **로그 제어:** 애플리케이션에서 로그 수준과 상세도를 제어할 수 있습니다.
* **Guardian Cloud UI**: Guardian Cloud 인터페이스에서 추가 오류 세부 정보와 프로비저닝 상태를 확인하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-transportinterface.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
